/**
 * Copyright (c) 2011, 2015 - Lunifera GmbH (Gross Enzersdorf), Loetz GmbH&Co.KG (Heidelberg)
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License 2.0 
 * which accompanies this distribution, and is available at
 * https://www.eclipse.org/legal/epl-2.0/
 *
 * SPDX-License-Identifier: EPL-2.0
 *
 * Contributors:
 *         Florian Pirchner - Initial implementation
 *
 * generated by Xtext 2.11.0

 */
package org.eclipse.osbp.dsl.services.xtext.ide;

import com.google.inject.Guice;
import com.google.inject.Injector;
import org.eclipse.osbp.dsl.services.xtext.ServicesGrammarRuntimeModule;
import org.eclipse.osbp.dsl.services.xtext.ServicesGrammarStandaloneSetup;
import org.eclipse.xtext.util.Modules2;

/**
 * Initialization support for running Xtext languages as language servers.
 */
public class ServicesGrammarIdeSetup extends ServicesGrammarStandaloneSetup {

	@Override
	public Injector createInjector() {
		return Guice.createInjector(Modules2.mixin(new ServicesGrammarRuntimeModule(), new ServicesGrammarIdeModule()));
	}
	
}
